Subject: Re: bug#36069: Menu-based installer unusable through noVNC

From: Björn Höfling <[email-masked]>
Date: Mon, 2 Sep 2019 15:10:57 +0200

On Mon, 22 Jul 2019 12:25:12 +0200
Ludovic Courtès <[email-masked]> wrote:

> Hello!
> 
> Björn Höfling <[email-masked]> skribis:

> > What I haven't done yet:
> >
> > 1. Use only "cirrus"
> > 2. Use only "cirrusfb"
> > 3. Try it out on my VPS.  
> 
> Please let us know when you have feedback on these so we can add just
> the module that makes sense.

I tried all three combinations and all work with qemu:

1. (initrd-modules (append (list "cirrus" "cirrusfb")
2. (initrd-modules (append (list "cirrusfb")
3. (initrd-modules (append (list "cirrus")

I tried the version with "cirrus" on my VPS and it worked there too.

When I read the comments in the drivers, it looks like the "cirrus" is
implemented for qemu:

https://github.com/torvalds/linux/blob/master/drivers/gpu/drm/cirrus/cirrus.c
https://github.com/torvalds/linux/blob/master/drivers/video/fbdev/cirrusfb.c

That's the result of my tests. I know too few about kernels/drivers to
really decide what the best would be here.

Ludo or Mark, could one of you go on further from here?

Thanks,

Björn